# Logger

interface Logger

Logger interface for KavaRef.

You can implement this interface to create your own logger and set it to KavaRef.setLogger.

## Properties

tag
Link copied to clipboard
abstract val tag : String

Logger tag.

## Functions

debug
Link copied to clipboard
abstract fun debug (msg: Any ?, throwable: Throwable ? = null)

Log a debug message.

error
Link copied to clipboard
abstract fun error (msg: Any ?, throwable: Throwable ? = null)

Log an error message.

info
Link copied to clipboard
abstract fun info (msg: Any ?, throwable: Throwable ? = null)

Log an info message.

warn
Link copied to clipboard
abstract fun warn (msg: Any ?, throwable: Throwable ? = null)

Log a warning message.